# agnarae

Agnarae est une bibliothèque de modules Django dédiée à la gestion en ligne de productions agricoles avec une approche collaborative entre producteurs et conseillers agronomes.

| Code | [https://develop.auchamp.ca/public/agnarae/] |
| License | GPLv3.0+ |
| Issues | [https://develop.auchamp.ca/public/agnarae/issues/] |
| Website | ... |

## Feuille de route

La mise à disposition de la bibliothèque *agnarae* est une initiative de la communauté de développement de la plateforme [auchamp.ca](https://auchamp.ca) utilisée pour le suivi d'exploitation agricoles au Québec dans les domaines vinicoles et pomiculture.

Suite au développement de la plateforme *auchamp* et constatant le manque de ressources dans le domaine, nous planifions la publication sous licence libre de plusieurs éléments du projet.  

*Janvier 2019*: le premier lot de modules à partager a été identifié. Leurs mise à disposition est prévu durant l'année 2019.

### Lot 1

- producer.company
- producer.session
- producer.blocks.block
- producer.blocks.farmmap
- db.inheritance
- ui.map
- ui.enhancement
- ui.admin_extended.admin
- crops.crop
- demo


## Contenu de la bibliothèque

### producer

Gestion des dossiers des producteurs

- **producer.company**: enregistrement des informations initiales d'un producteur (identification, localisation, contact principal, etc.)
- **producer.session**: navigation dans les dossiers de chaque producteur
- **producer.blocks.block**: gestion des blocs de culture du producteur
- **producer.blocks.farmmap**: édition et visualisation des blocs de culture sur carte

### crops

Gestion des types de culture

- **crops.crop**: édition et gestion de cultures génériques

### db

Outils additionnels pour la gestion de la base de données sous-jacente

- **db.inheritance**: gestion hierarchique de type de données

### ui

Outils additionnels pour la définition des interfaces

- **ui.map**: édition et visualisation de cartes
- **ui.enhancement**: ajouts de fonctionnalités dans les formulaires et visualisations de Django
- **ui.admin_extended.admin**: extension du module django.contrib.admin

### demo

Site de démonstration de la bibliothèque

## License

Agnarae est publié sous license GPLv3+, à l'exception des fichiers javascript (.js) publié sous license LGPLv3+. Pour plus d'information, regardez les fichiers [LICENSE]() et [NOTICE]().
